Create an inspection for a lease
POST
/api/leases/{id}/inspections
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inspections';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"items":[{"condition":"example","damages":"example","deductionAmountCents":1,"photoDocumentIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"room":"example"}],"notes":"example","performedAt":"2026-04-15T12:00:00Z","type":"move_in"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/inspections \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "items": [ { "condition": "example", "damages": "example", "deductionAmountCents": 1, "photoDocumentIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "room": "example" } ], "notes": "example", "performedAt": "2026-04-15T12:00:00Z", "type": "move_in" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
items
Array<object>
object
condition
required
string
damages
string
deductionAmountCents
integer
photoDocumentIds
Array<string>
room
required
string
notes
string
performedAt
string format: date-time
type
required
string
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
inspection
required
object
createdAt
required
string format: date-time
id
required
string format: uuid
items
required
Array<object>
object
condition
required
string
damages
string
deductionAmountCents
integer
photoDocumentIds
Array<string>
room
required
string
leaseId
required
string format: uuid
notes
required
string
organizationId
required
string format: uuid
performedAt
required
string format: date-time
performedByUserId
required
string format: uuid
type
required
string
updatedAt
required
string format: date-time
Example
{ "inspection": { "type": "move_in" }}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}